import random

tries = 5
num = random.randint(1,20)

while tries > 0:
    # debug
    # print(num)
    try:
        _ = int(input(f"{tries}: Gib eine Zahl zwischen 1 und 20 ein: "))
    except (ValueError, KeyboardInterrupt):
         pass

    if _ == num:
        print(f"Du hast es erraten mit {tries} Versuchen")
        break

    tries -= 1